Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## things.thinger.service.proxy
Class ProxySession

    java.lang.Object
      things.thinger.service.proxy.ProxySession

    public class ProxySession

extends java.lang.Object

Session for a proxy session. It connects connections/contexts.

Version:
  1.0

  Version History

      EPG - Added by request.  This was part of a stand-alone lib for a while. - 10 DEC 08

Author:
  Erich P. Gatejen

Field Summary
`long` | `lastAccess` The last time this session was touched.
`java.lang.String` | `sessionName`

Constructor Summary
`ProxySession(java.lang.String sessionName, Universe universe, java.lang.String root)` Create the session.

Method Summary
`void` | `dispose()` Dispose this session.
`protected void` | `finalize()` The finalizer.
`java.io.OutputStream` | `GET_FILE_OUTPUT(java.lang.String name)` Get an output stream to a new file, given the name.
`void` | `POST(java.lang.String message)` Post a single line to the log.

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### sessionName

    public java.lang.String sessionName

### lastAccess

    public long lastAccess

  The last time this session was touched.

Constructor Detail

### ProxySession

    public ProxySession(java.lang.String sessionName,
                        Universe universe,
                        java.lang.String root)
                 throws java.lang.Throwable

  Create the session.

  Parameters:
    `sessionName` -
    `universe` -
    `root` -
  Throws:
    `java.lang.Throwable`

Method Detail

### dispose

    public void dispose()

  Dispose this session. It is done.

### POST

    public void POST(java.lang.String message)
              throws java.lang.Throwable

  Post a single line to the log. It will be terminated with a platform friendly line separator. This is synchronized to make sure contexts dont' clobber each other.

  Parameters:
    `message` - the message.
  Throws:
    `java.lang.Throwable` - for IO problems.

### GET_FILE_OUTPUT

    public java.io.OutputStream GET_FILE_OUTPUT(java.lang.String name)
                                         throws java.lang.Throwable

  Get an output stream to a new file, given the name. It will be buffered, if necessary.

  Parameters:
    `name` - the name. It should be unique.
  Returns:
    the output stream.
  Throws:
    `java.lang.Throwable`

### finalize

    protected void finalize()
                     throws java.lang.Throwable

  The finalizer. Make sure it was disposed. This isn't necessary, but I'm hoping to hurry up closing of everything.

  Overrides:
    `finalize` in class `java.lang.Object`
  Throws:
    `java.lang.Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Things.